md5.h File Reference
`#include "defs.h"`

Go to the source code of this file.

## Data Structures

struct | md5_state_s

## Macros

#define | MD5_BLOCK_LENGTH 64
#define | MD5_DIGEST_LENGTH 16
#define | MD5_DIGEST_STRING_LENGTH (MD5_DIGEST_LENGTH * 2 + 1)

## Typedefs

typedef struct md5_state_s | MD5_CTX

## Functions

void MD5_Init | _ ((MD5_CTX *pms))
void MD5_Update | _ ((MD5_CTX *pms, const uint8_t *data, size_t nbytes))
void MD5_Finish | _ ((MD5_CTX *pms, uint8_t *digest))

## Macro Definition Documentation

#define MD5_BLOCK_LENGTH 64

Definition at line 76 of file md5.h.

#define MD5_DIGEST_LENGTH 16

Definition at line 77 of file md5.h.

#define MD5_DIGEST_STRING_LENGTH (MD5_DIGEST_LENGTH * 2 + 1)

Definition at line 78 of file md5.h.

## Typedef Documentation

typedef struct md5_state_s MD5_CTX

## Function Documentation

void MD5_Init _ | ( | (MD5_CTX *pms) |  | ) |

void MD5_Update _ | ( | (MD5_CTX *pms, const uint8_t *data, size_t nbytes) |  | ) |

void MD5_Finish _ | ( | (MD5_CTX *pms, uint8_t *digest) |  | ) |